Bug 406181 - Ruler cannot be set to anything but pixels
Summary: Ruler cannot be set to anything but pixels
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Usability (show other bugs)
Version: nightly build (please specify the git hash!)
Platform: Other Microsoft Windows
: NOR normal
Target Milestone: ---
Assignee: Tiar
URL:
Keywords: triaged
Depends on:
Blocks:
 
Reported: 2019-04-03 12:38 UTC by Gremriel
Modified: 2019-04-08 09:46 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gremriel 2019-04-03 12:38:17 UTC
SUMMARY
When right-clicking on the ruler to set a different unit of measurement, the ruler still displays in pixels.

SOFTWARE/OS VERSIONS
Windows: 10 64-bit


This is present since krita-nightly-x64-v4.2.0-prealpha-338-g703cbfbfae (march 5).
The last version that did not have this issue was krita-nightly-x64-v4.2.0-prealpha-216-gbe454f91ec, but there's a 3 week gap between these nightlies, so, I can't pin-point exactly when it started.
Comment 1 wolthera 2019-04-03 12:40:22 UTC
I can confirm. These values are enough to do a git bisect in any case.
Comment 2 Gremriel 2019-04-03 13:02:16 UTC
The gap is only 2 weeks, btw (february 20 - March 5)
Comment 3 Halla Rempt 2019-04-03 14:44:41 UTC
Eek, for some reason, those sha1-like numbers aren't actually commit sha1's... So we'd also need to have the git version as shown in the about box for both versions. Do you still have them around?
Comment 4 wolthera 2019-04-03 14:51:27 UTC
It's between

703cbfbfae56a3a2b9518f94e882e4868023794d

and

be454f91ec08ecdd141db343477210fbb3981457
Comment 5 Gremriel 2019-04-03 14:54:38 UTC
Version that does not have the issue: git be454f9 (feb 20)

Version with issue: git 703cbfb (march 5)

These are the numbers from the About Krita window, but they look the same as the first digits I posted in the first report.
Comment 6 Halla Rempt 2019-04-03 14:55:03 UTC
I would be vastly surprised if this didn't have something to do with: 

commit 9d5baac8ad84d838b5b326eef130bb739411c21d
Author: Agata Cacko <tamtamy.tymona@gmail.com>
Date:   Tue Mar 5 11:27:49 2019 +0100

    Refactor KoUnit

Tiar, could you take a look?
Comment 7 Tiar 2019-04-08 09:46:15 UTC
Git commit 4636c73d5c5b2b13a8f1b08b49967b5decff2754 by Agata Cacko.
Committed on 08/04/2019 at 09:45.
Pushed by tymond into branch 'master'.

Fix rulers showing pixels no matter the unit

Before this commit, when you selected the unit for a ruler,
it stayed as pixels. This patch changes the behaviour
so the ruler has correct unit now.

M  +1    -1    libs/ui/kis_mirror_manager.cpp

https://commits.kde.org/krita/4636c73d5c5b2b13a8f1b08b49967b5decff2754